# salt.thorium.key

The key Thorium State is used to apply changes to the accepted/rejected/pending keys

Added in version 2016.11.0.

salt.thorium.key.timeout(name, delete=0, reject=0)

  If any minion's status is older than the timeout value then apply the given action to the timed out key. This example will remove keys to minions that have not checked in for 300 seconds (5 minutes)

  USAGE:

      statreg:
        status.reg

      clean_keys:
        key.timeout:
          - require:
            - status: statreg
          - delete: 300